class Animation {
  int animationCounter;
  char animationKey;

  public Animation (char c) {
    animationCounter = 0;
    animationKey = c;
  }

  void handleInput () {
    if (keyPressed && animationKey == key) {
      animationCounter++;
    } else {
      animationCounter = 0;
    }
  }

  void drawAnimation1 () {
    if (animationCounter>0) {
      fill(255, 0, 0);
      rect(0, 0, width, height);
    }
  }
  
  void drawAnimation2 () {
    if (animationCounter>0) {
      fill(255, 255, 0);
      rect(0, 0, width, height);
    }
  }
  
  void drawAnimation3 () {
    if (animationCounter>0) {
      fill(255, 0, 255);
      rect(0, 0, width, height);
    }
  }
  
  void drawAnimation4 () {
    if (animationCounter>0) {
      fill(0, 255, 255);
      rect(0, 0, width, height);
    }
  }
}

Animation a1, a2, a3, a4;

void setup () {
  size(600, 400);
  a1 = new Animation('1');
  a2 = new Animation('2');
  a3 = new Animation('3');
  a4 = new Animation('4');
}

void draw () {
  background(0);
  a1.handleInput();
  a1.drawAnimation1();

  a2.handleInput();
  a2.drawAnimation2();

  a3.handleInput();
  a3.drawAnimation3();

  a4.handleInput();
  a4.drawAnimation4();
}