class Ball {
  float x,y,d;
  float xDirection, yDirection;
  
  public Ball (int x, int y, int d) {
    this.x = y;
    this.y = y;
    this.d = d;
    
    xDirection = random(-5,5);
    yDirection = random(-5,5);
  }
  
  void move () {
    x += xDirection;
    y += yDirection;
    
    if (x+d/2>width) {
      x = width-d/2;
      xDirection *= -1;
    } else if (x-d/2<0) {
      x = d/2;
      xDirection *= -1;
    }
    
    if (y+d/2>height) {
      y = height-d/2;
      yDirection *= -1;
    } else if (y-d/2<0) {
      y = d/2;
      yDirection *= -1;
    }
  }
  
  void plot () {
    ellipse(x,y,d,d);
  }
}

Ball b;

void setup () {
  size(400,400);
  b = new Ball (200,200,50);
}

void draw () {
  background(0);
  b.move();
  b.plot();
}